geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ammul...@apache.org
Subject svn commit: r169670 - /geronimo/scripts/buildall.sh
Date Wed, 11 May 2005 18:20:16 GMT
Author: ammulder
Date: Wed May 11 11:20:15 2005
New Revision: 169670

URL: http://svn.apache.org/viewcvs?rev=169670&view=rev
Log:
Add a bunch of "|| exit 1" to bag if one of the individual steps fails
Now it fails during "clean" trying to download
    geronimo-kernel-1.0-SNAPSHOT.jar

Modified:
    geronimo/scripts/buildall.sh

Modified: geronimo/scripts/buildall.sh
URL: http://svn.apache.org/viewcvs/geronimo/scripts/buildall.sh?rev=169670&r1=169669&r2=169670&view=diff
==============================================================================
--- geronimo/scripts/buildall.sh (original)
+++ geronimo/scripts/buildall.sh Wed May 11 11:20:15 2005
@@ -33,52 +33,52 @@
 if [ "$1" = clean ]; then
   shift
   echo cleaning...
-  (cd specs;maven $OFFLINE multiproject:clean)
-  (if [ -d $TRANQL ]; then cd $TRANQL ; maven $OFFLINE  clean; fi)
-  (if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; maven $OFFLINE  clean; fi)
-  (cd modules; maven $OFFLINE  multiproject:clean)
-  (cd plugins; maven $OFFLINE multiproject:clean)
-  (cd applications; maven $OFFLINE multiproject:clean)
-  (if [ -d $OPENEJB ]; then cd $OPENEJB/modules; maven $OFFLINE  multiproject:clean; fi)
-  (cd modules/assembly; maven $OFFLINE  clean)
-  (if [ -d $OPENEJB ]; then cd openejb/modules/assembly; maven $OFFLINE  clean; fi)
-  (if [ -d $OPENEJB ]; then cd openejb/modules/itests; maven $OFFLINE clean; fi )
+  (cd specs;maven $OFFLINE multiproject:clean) || exit 1
+  (if [ -d $TRANQL ]; then cd $TRANQL ; maven $OFFLINE  clean || exit 1; fi)
+  (if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; maven $OFFLINE  clean || exit 1;
fi)
+  (cd modules; maven $OFFLINE  multiproject:clean) || exit 1
+  (cd plugins; maven $OFFLINE multiproject:clean) || exit 1
+  (cd applications; maven $OFFLINE multiproject:clean) || exit 1
+  (if [ -d $OPENEJB ]; then cd $OPENEJB/modules; maven $OFFLINE  multiproject:clean || exit
1; fi)
+  (cd modules/assembly; maven $OFFLINE  clean || exit 1)
+  (if [ -d $OPENEJB ]; then cd openejb/modules/assembly; maven $OFFLINE  clean || exit 1;
fi)
+  (if [ -d $OPENEJB ]; then cd openejb/modules/itests; maven $OFFLINE clean || exit 1; fi
)
 fi
 
 echo updating
-svn up
-(if [ -d $TRANQL ]; then cd $TRANQL ; cvs -q up -dP; fi)
-(if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; cvs -q up -dP; fi)
-(if [ -d $OPENEJB ]; then cd $OPENEJB; cvs -q up -dP; fi)
+svn up || exit 1
+(if [ -d $TRANQL ]; then cd $TRANQL ; cvs -q up -dP || exit 1; fi)
+(if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; cvs -q up -dP || exit 1; fi)
+(if [ -d $OPENEJB ]; then cd $OPENEJB; cvs -q up -dP || exit 1; fi)
 
 echo cleaning local repo
-rm -rf  $MAVEN_REPO/geronimo
-rm -rf  $MAVEN_REPO/geronimo-spec
-if [ -d $TRANQL ]; then rm -rf $MAVEN_REPO/tranql; fi
-if [ -d $OPENEJB ]; then rm -rf $MAVEN_REPO/openejb; fi
+rm -rf  $MAVEN_REPO/geronimo || exit 1
+rm -rf  $MAVEN_REPO/geronimo-spec || exit 1
+if [ -d $TRANQL ]; then rm -rf $MAVEN_REPO/tranql || exit 1; fi
+if [ -d $OPENEJB ]; then rm -rf $MAVEN_REPO/openejb || exit 1; fi
 
 OFFLINE=-o
 
 echo building
-(cd specs;maven $OFFLINE multiproject:install)
-(if [ -d $TRANQL ]; then cd $TRANQL ; maven $OFFLINE  jar:install; fi)
-(if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; maven $OFFLINE  rar:install; fi)
-(cd plugins/maven-xmlbeans-plugin; maven -o plugin:install);
-(cd modules; maven $OFFLINE  multiproject:install)
-(cd plugins; maven $OFFLINE multiproject:install)
-(cd applications; maven $OFFLINE multiproject:install)
-(if [ -d $OPENEJB ]; then cd $OPENEJB/modules; maven $OFFLINE  multiproject:install; fi)
-(cd modules/assembly; maven $OFFLINE  jar:install)
-(if [ -d $OPENEJB ]; then cd openejb/modules/assembly; maven $OFFLINE  jar:install; fi)
-#(if [ -d $OPENEJB ]; then cd openejb/modules/itests; maven $OFFLINE; fi )
+(cd specs;maven $OFFLINE multiproject:install) || exit 1
+(if [ -d $TRANQL ]; then cd $TRANQL ; maven $OFFLINE  jar:install || exit 1; fi)
+(if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; maven $OFFLINE  rar:install || exit
1; fi)
+(cd plugins/maven-xmlbeans-plugin; maven -o plugin:install) || exit 1
+(cd modules; maven $OFFLINE  multiproject:install) || exit 1
+(cd plugins; maven $OFFLINE multiproject:install) || exit 1
+(cd applications; maven $OFFLINE multiproject:install) || exit 1
+(if [ -d $OPENEJB ]; then cd $OPENEJB/modules; maven $OFFLINE  multiproject:install || exit
1; fi)
+(cd modules/assembly; maven $OFFLINE  jar:install) || exit 1
+(if [ -d $OPENEJB ]; then cd openejb/modules/assembly; maven $OFFLINE  jar:install || exit
1; fi)
+#(if [ -d $OPENEJB ]; then cd openejb/modules/itests; maven $OFFLINE || exit 1; fi )
 
 if [ "$1" = deploy ]; then
   echo deploying
-  (cd specs;maven -o -Duser.name=$2 multiproject:deploy)
-  (if [ -d $TRANQL ]; then cd $TRANQL ; maven -o -Duser.name=$2 jar:deploy; fi)
-  (if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; maven -o -Duser.name=$2  jar:deploy
 rar:deploy; fi)
-  (cd modules; maven -o -Duser.name=$2  multiproject:deploy)
-  (if [ -d $OPENEJB ]; then cd $OPENEJB/modules; maven -o -Duser.name=$2   multiproject:deploy;
fi)
-  (cd modules/assembly; maven -o -Duser.name=$2   jar:deploy)
-  (if [ -d $OPENEJB ]; then cd openejb/modules/assembly; maven -o -Duser.name=$2   jar:deploy;
fi)
+  (cd specs;maven -o -Duser.name=$2 multiproject:deploy) || exit 1
+  (if [ -d $TRANQL ]; then cd $TRANQL ; maven -o -Duser.name=$2 jar:deploy || exit 1; fi)
+  (if [ -d $TRANQLCONNECTOR ]; then cd $TRANQLCONNECTOR; maven -o -Duser.name=$2  jar:deploy
 rar:deploy || exit 1; fi)
+  (cd modules; maven -o -Duser.name=$2  multiproject:deploy) || exit 1
+  (if [ -d $OPENEJB ]; then cd $OPENEJB/modules; maven -o -Duser.name=$2   multiproject:deploy
|| exit 1; fi)
+  (cd modules/assembly; maven -o -Duser.name=$2   jar:deploy) || exit 1
+  (if [ -d $OPENEJB ]; then cd openejb/modules/assembly; maven -o -Duser.name=$2   jar:deploy
|| exit 1; fi)
 fi



Mime
View raw message